package com.chinaitop.depot.intelligent.SendMessagePT;


import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * @ClassName SmsDataVO
 * @Description 短信发送
 * @author lfx
 * @date 2019-1-29 17:10:02
 * @version v1.0
 */
@Getter
@Setter
@ToString
public class SmsDataVO {
   /**
     * 信息id M20190129000001
     */
   private String id ;
   /**
     * 短信类型 暂时默认：10210001
     */
   private String msmType;
   /**
     * 系统编号  暂时默认：10010001
     */
   private String systemNo;
   /**
     * 模块名称 暂时默认：10090001l
     */
   private String moduleName;
   /**
     * 手机号
     */
   private String sdst;
   /**
     * 内容
     */
   private String smsg;
   /**
     * 定时发送
     */
   private String jobSend;
   /**
     * 调用状态  ：''03'' 调用成功  ''05'' 调用失败  ''''
     */
   private String callStatus;
   /**
     * 短信发送状态   0 发送成功
     */
   private Integer state;
   /**
     * 调用第三方返回id
     */
   private String msgId;
   /**
     * 短信发送时间
     */
   private Date sendDate;
   /**
     * 状态，1：正常，0：已作废
     */
   private Integer status;
   /**
     * 创建人
     */
   private String createBy;
   /**
     * 创建时间
     */
   private  Date createTime;
   /**
     * 修改人
     */
   private String updateBy;
   /**
     * 修改时间
     */
   private Date updateTime;
   /**
     * 删除人
     */
   private String deleteBy;
   /**
     * 删除时间
     */
   private Date deleteTime;
   /**
     * 备注
     */
   private String remark;
   /**
     * 审核是否通过标记
     */
   private String msgState;
   /**
     * 当前短信内容拆分条数
     */
   private String reserve;

   public String getId() {
      return id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getMsmType() {
      return msmType;
   }

   public void setMsmType(String msmType) {
      this.msmType = msmType;
   }

   public String getSystemNo() {
      return systemNo;
   }

   public void setSystemNo(String systemNo) {
      this.systemNo = systemNo;
   }

   public String getModuleName() {
      return moduleName;
   }

   public void setModuleName(String moduleName) {
      this.moduleName = moduleName;
   }

   public String getSdst() {
      return sdst;
   }

   public void setSdst(String sdst) {
      this.sdst = sdst;
   }

   public String getSmsg() {
      return smsg;
   }

   public void setSmsg(String smsg) {
      this.smsg = smsg;
   }

   public String getJobSend() {
      return jobSend;
   }

   public void setJobSend(String jobSend) {
      this.jobSend = jobSend;
   }

   public String getCallStatus() {
      return callStatus;
   }

   public void setCallStatus(String callStatus) {
      this.callStatus = callStatus;
   }

   public Integer getState() {
      return state;
   }

   public void setState(Integer state) {
      this.state = state;
   }

   public String getMsgId() {
      return msgId;
   }

   public void setMsgId(String msgId) {
      this.msgId = msgId;
   }

   public Date getSendDate() {
      return sendDate;
   }

   public void setSendDate(Date sendDate) {
      this.sendDate = sendDate;
   }

   public Integer getStatus() {
      return status;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }

   public Date getCreateTime() {
      return createTime;
   }

   public void setCreateTime(Date createTime) {
      this.createTime = createTime;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public void setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
   }

   public Date getUpdateTime() {
      return updateTime;
   }

   public void setUpdateTime(Date updateTime) {
      this.updateTime = updateTime;
   }

   public String getDeleteBy() {
      return deleteBy;
   }

   public void setDeleteBy(String deleteBy) {
      this.deleteBy = deleteBy;
   }

   public Date getDeleteTime() {
      return deleteTime;
   }

   public void setDeleteTime(Date deleteTime) {
      this.deleteTime = deleteTime;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getMsgState() {
      return msgState;
   }

   public void setMsgState(String msgState) {
      this.msgState = msgState;
   }

   public String getReserve() {
      return reserve;
   }

   public void setReserve(String reserve) {
      this.reserve = reserve;
   }
}